libjson-any-perl_1.38-1_all.deb


Advertisement

Description

libjson-any-perl - wrapper class for the various JSON classes

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libjson-any-perl
Package version 1.38
Package release 1
Package architecture all
Package type deb
Installed size 81 B
Download size 19.04 KB
Official Mirror ftp.br.debian.org
The JSON::Any module provides a coherent API to bring together the various
JSON modules currently on CPAN. This module will allow you to code to
any JSON API and have it work regardless of which JSON module is
actually installed.
JSON::Any is deprecated. If you're producing new code it is recommended to
use JSON::MaybeXS which will optionally use Cpanel::JSON::XS for speed
purposes.

Alternatives

Package Version Architecture Repository
libjson-any-perl_1.38-1_all.deb 1.38 all Debian Main
libjson-any-perl - - -

Requires

Name Value
libjson-xs-perl -
libnamespace-clean-perl -
perl -

Download

Type URL
Binary Package libjson-any-perl_1.38-1_all.deb
Source Package libjson-any-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjson-any-perl deb package:
    # sudo apt-get install libjson-any-perl

Files

Path
/usr/share/doc/libjson-any-perl/CONTRIBUTING
/usr/share/doc/libjson-any-perl/changelog.Debian.gz
/usr/share/doc/libjson-any-perl/changelog.gz
/usr/share/doc/libjson-any-perl/copyright
/usr/share/man/man3/JSON::Any.3pm.gz
/usr/share/perl5/JSON/Any.pm

Changelog

2014-10-13 - gregor herrmann <gregoa@debian.org>
libjson-any-perl (1.38-1) unstable; urgency=medium
* Import upstream version 1.38
* Mark package as autopkgtest-able.
* Declare compliance with Debian Policy 3.9.6.
2014-09-15 - gregor herrmann <gregoa@debian.org>
libjson-any-perl (1.36-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Add debian/upstream/metadata
* Imported upstream version 1.36
* Add deprecation notice to debian/control.
* (Build-) depend on libnamespace-clean-perl.
2014-05-29 - gregor herrmann <gregoa@debian.org>
libjson-any-perl (1.34-1) unstable; urgency=medium
* New upstream release.
* debian/copyright: update Upstream-Contact.
* Update years of packaging copyright.
* Drop version from libtest-without-module-perl build dependency.
* Install upstream CONTRIBUTING file.
2014-04-22 - Damyan Ivanov <dmn@debian.org>
libjson-any-perl (1.33-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Damyan Ivanov ]
* Imported Upstream version 1.33
* adjust years of upstream copyright
* drop pod-encoding.patch, included upstream
* add libtest-fatal-perl and libtest-warnings-perl to B-D-I
used by new tests
2013-11-07 - Damyan Ivanov <dmn@debian.org>
libjson-any-perl (1.32-1) unstable; urgency=low
* Imported Upstream version 1.32
* add libtest-requires-perl and libtest-without-module-perl to B-D-I
* add patch fixing missing =encoding in POD
* claim conformance with Policy 3.9.5
2013-08-16 - Florian Schlichting <fsfs@debian.org>
libjson-any-perl (1.30-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Import Upstream version 1.30.
* Bump years of upstream copyright, remove paragraph for inc/Module/*.
* Bump Standards-Version to 3.9.4 (update to copyright-format 1.0).
* Add myself to uploaders and copyright.
2011-06-05 - gregor herrmann <gregoa@debian.org>
libjson-any-perl (1.28-1) unstable; urgency=low
[ Ansgar Burchardt ]
* New upstream release 1.24.
* Use source format 3.0 (quilt).
* debian/copyright: update years of copyright for inc/Module/*; refer to
"Debian systems" instead of "Debian GNU/Linux systems"; refer to
/usr/share/common-licenses/GPL-1.
* Update my email address.
[ gregor herrmann ]
* New upstream release 1.25 (fixes for perl 5.14).
* New upstream release 1.27.
* New upstream release 1.28.
* Remove build dependencies on Test::Pod::*, not used anymore.
* Bump debhelper compatibility level to 8.
* Set Standards-Version to 3.9.2 (no changes).
2009-10-13 - Jonathan Yu <jawnsy@cpan.org>
libjson-any-perl (1.22-1) unstable; urgency=low
* New upstream release
* Standards-Version 3.8.3 (drop perl version dependency)
* Added myself to Uploaders and Copyright
* Refreshed copyright using changelog trailers
2009-07-04 - Ansgar Burchardt <ansgar@43-1.org>
libjson-any-perl (1.21-1) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ansgar Burchardt ]
* New upstream release.
* Depend on debhelper (>= 7.2.13) because we use Module::Install.
* Use minimal debian/rules.
* Set Standards-Version to 3.8.2 (no changes).
[ gregor herrmann ]
* debian/control: bump (build) dependency on libjson-xs-perl to >= 2.232.
* debian/copyright: update years of packaging copyright.
2009-01-17 - Ansgar Burchardt <ansgar@43-1.org>
libjson-any-perl (1.19-1) unstable; urgency=low
* New upstream release.
* debian/copyright: Update copyright years.
* debian/control: Do not depend on libjson-syck-perl.  It has been
deprecated upstream and is disabled by default.
* Add myself to Uploaders.

See Also

Package Description
libjson-c-dev_0.11-4_amd64.deb JSON manipulation library - development files
libjson-c-doc_0.11-4_all.deb JSON manipulation library - documentation files
libjson-c2_0.11-4_amd64.deb JSON manipulation library - shared library
libjson-glib-1.0-0_1.0.2-1_amd64.deb GLib JSON manipulation library
libjson-glib-1.0-common_1.0.2-1_all.deb GLib JSON manipulation library (common files)
libjson-glib-dev_1.0.2-1_amd64.deb GLib JSON manipulation library (development files)
libjson-glib-doc_1.0.2-1_all.deb GLib JSON manipulation library (documentation)
libjson-java_2.3-3_all.deb library for transforming Java objects and XML to JSON and back again
libjson-maybexs-perl_1.002006-1_all.deb interface to the best available JSON module
libjson-multivalueordered-perl_0.005-1_all.deb module to handle JSON like {"a":1, "a":2}
libjson-perl_2.61-1_all.deb module for manipulating JSON-formatted data
libjson-pointer-perl_0.06-1_all.deb Perl implementation of JSON Pointer (RFC6901)
libjson-pp-perl_2.27300-2_all.deb module for manipulating JSON-formatted data (Pure Perl)
libjson-rpc-perl_1.06-1_all.deb Perl implementation of JSON-RPC 1.1 protocol
libjson-simple-doc_1.1.1-2_all.deb documentation for libjson-simple-java
Advertisement
Advertisement